// EmailText.h

#ifndef EMAILTEXT_H
#define EMAILTEXT_H

#include <string>

using std::string;


class EmailText {

public:

    EmailText();
    EmailText(const EmailText&);
    EmailText(const string& text, const string& charset);
    virtual ~EmailText();
    EmailText& operator = (const EmailText&);

    void Set(const string& text, const string& charset);

    const string& Text() const;
    const string& Charset() const;

private:

    string mText;
    string mCharset;

};

#endif

